Bug 233398 - CSP: Implement submitting samples in violation reports
Summary: CSP: Implement submitting samples in violation reports
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Patrick Griffis
URL:
Keywords: InRadar
Depends on: 233182
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-20 10:48 PST by Patrick Griffis
Modified: 2021-11-24 08:21 PST (History)
3 users (show)

See Also:


Attachments
Patch (35.11 KB, patch)
2021-11-20 10:49 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (35.13 KB, patch)
2021-11-23 09:57 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (33.97 KB, patch)
2021-11-23 10:28 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (33.57 KB, patch)
2021-11-23 10:59 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Griffis 2021-11-20 10:48:23 PST
CSP: Implement submitting samples in violation reports
Comment 1 Patrick Griffis 2021-11-20 10:49:35 PST
Created attachment 444901 [details]
Patch
Comment 2 Patrick Griffis 2021-11-20 10:53:30 PST
This won't apply or work until bug 233182 is merged.
Comment 3 Patrick Griffis 2021-11-23 09:57:31 PST
Created attachment 445040 [details]
Patch
Comment 4 Patrick Griffis 2021-11-23 10:28:35 PST
Created attachment 445042 [details]
Patch
Comment 5 Patrick Griffis 2021-11-23 10:59:53 PST
Created attachment 445043 [details]
Patch
Comment 6 Kate Cheney 2021-11-24 07:25:48 PST
rdar://83788774
Comment 7 EWS 2021-11-24 08:21:04 PST
Committed r286150 (244534@main): <https://commits.webkit.org/244534@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 445043 [details].